## GcalMultiChoice GcalMultiChoice |

## Functions

GtkWidget * | gcal_multi_choice_new ()
gint | gcal_multi_choice_get_value ()
void | gcal_multi_choice_set_value ()
void | gcal_multi_choice_set_choices ()
gchar * | (*GcalMultiChoiceFormatCallback) ()
void | gcal_multi_choice_set_format_callback ()

## Properties

gboolean | animate | Read / Write
GStrv | choices | Write
gint | max-value | Read / Write
gint | min-value | Read / Write
gint | value | Read / Write
gboolean | wrap | Read / Write

## Signals

void | wrapped | Run Last

## Types and Values

#define | GCAL_TYPE_MULTI_CHOICE
| GcalMultiChoice

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkWidget
                ╰── GtkContainer
                    ╰── GtkBox
                        ╰── GcalMultiChoice

## Implemented Interfaces

GcalMultiChoice implements AtkImplementorIface, GtkBuildable and GtkOrientable.

## Description

## Functions

### gcal_multi_choice_new ()

    GtkWidget *
    gcal_multi_choice_new (void);

### gcal_multi_choice_get_value ()

    gint
    gcal_multi_choice_get_value (GcalMultiChoice *self);

### gcal_multi_choice_set_value ()

    void
    gcal_multi_choice_set_value (GcalMultiChoice *self,
                                 gint value);

### gcal_multi_choice_set_choices ()

    void
    gcal_multi_choice_set_choices (GcalMultiChoice *self,
                                   const gchar **selfs);

### GcalMultiChoiceFormatCallback ()

    gchar *
    (*GcalMultiChoiceFormatCallback) (GcalMultiChoice *self,
                                      gint value,
                                      gpointer user_data);

### gcal_multi_choice_set_format_callback ()

    void
    gcal_multi_choice_set_format_callback (GcalMultiChoice *self,
                                           GcalMultiChoiceFormatCallback callback,
                                           gpointer user_data,
                                           GDestroyNotify notify);

## Types and Values

### GCAL_TYPE_MULTI_CHOICE

    #define GCAL_TYPE_MULTI_CHOICE (gcal_multi_choice_get_type())

### GcalMultiChoice

    typedef struct _GcalMultiChoice GcalMultiChoice;

## Property Details

### The `“animate”` property

      “animate”                  gboolean

Animate.

Flags: Read / Write

Default value: FALSE

### The `“choices”` property

      “choices”                  GStrv

Choices.

Flags: Write

### The `“max-value”` property

      “max-value”                gint

Maximum Value.

Flags: Read / Write

Default value: 0

### The `“min-value”` property

      “min-value”                gint

Minimum Value.

Flags: Read / Write

Default value: 0

### The `“value”` property

      “value”                    gint

Value.

Flags: Read / Write

Default value: 0

### The `“wrap”` property

      “wrap”                     gboolean

Wrap.

Flags: Read / Write

Default value: FALSE

## Signal Details

### The `“wrapped”` signal

    void
    user_function (GcalMultiChoice *gcalmultichoice,
                   gpointer         user_data)

Flags: Run Last